import type { DidDocument } from '.';
import { Buffer } from '../../../utils/buffer';
export declare const enum KeyType {
    ED25519 = "ed25519",
    X25519 = "x25519",
    BLS12381G1 = "bls12381g1",
    BLS12381G2 = "bls12381g2",
    BLS12381G1G2 = "bls12381g1g2"
}
export declare class DidKey {
    readonly publicKey: Buffer;
    readonly keyType: KeyType;
    constructor(publicKey: Uint8Array, keyType: KeyType);
    static fromDid(did: string): DidKey;
    static fromPublicKey(publicKey: Uint8Array, keyType: KeyType): DidKey;
    static fromPublicKeyBase58(publicKey: string, keyType: KeyType): DidKey;
    static fromFingerprint(fingerprint: string): DidKey;
    get prefixedPublicKey(): Buffer;
    get fingerprint(): string;
    get did(): string;
    get didDocument(): DidDocument;
    get publicKeyBase58(): string;
    get keyId(): string;
}
